Package ghidra.features.base.replace

# Class SearchAndReplaceQuckFixTableLoader

java.lang.Object
ghidra.features.base.replace.SearchAndReplaceQuckFixTableLoader

All Implemented Interfaces:
  `TableDataLoader<QuickFix>`

public class SearchAndReplaceQuckFixTableLoader extends Object implements TableDataLoader<QuickFix>
Class for loading search and replace items into a ThreadedTableModel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchAndReplaceQuckFixTableLoader(Program program, SearchAndReplaceQuery query)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `didProduceData()`
  Returns true if at least one item was added to the accumulator.
  `void`
  `loadData(Accumulator<QuickFix> accumulator, TaskMonitor monitor)`
  Loads data into the given accumulator
  `boolean`
  `maxDataSizeReached()`
  Returns true if the load was terminated because the maximum number of items was reached.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchAndReplaceQuckFixTableLoader

    public SearchAndReplaceQuckFixTableLoader(Program program, SearchAndReplaceQuery query)

- ## Method Details

  - ### loadData

    public void loadData(Accumulator<QuickFix> accumulator, TaskMonitor monitor) throws CancelledException
    Description copied from interface: `TableDataLoader`
    Loads data into the given accumulator
    Specified by:
      `loadData` in interface `TableDataLoader<QuickFix>`
    Parameters:
      `accumulator` - the accumulator for storing table data
      `monitor` - the `TaskMonitor`
    Throws:
      `CancelledException` - if the operation is cancelled

  - ### didProduceData

    public boolean didProduceData()
    Description copied from interface: `TableDataLoader`
    Returns true if at least one item was added to the accumulator.
    Specified by:
      `didProduceData` in interface `TableDataLoader<QuickFix>`
    Returns:
      true if at least one item was added to the accumulator

  - ### maxDataSizeReached

    public boolean maxDataSizeReached()
    Description copied from interface: `TableDataLoader`
    Returns true if the load was terminated because the maximum number of items was reached.
    Specified by:
      `maxDataSizeReached` in interface `TableDataLoader<QuickFix>`
    Returns:
      true if the load was terminated because the maximum number of items was reached.